%define         anolis_release 1

%global         project_name rabbitmq-c
%global         includedir_librabbitmq /usr/include/rabbitmq-c

Name:           librabbitmq
Version:        0.13.0
Release:        %{anolis_release}%{?dist}
Summary:        a C-language AMQP client library for use with v2.0+ of the RabbitMQ broker.

License:        MIT
URL:            http://github.com/alanxz/rabbitmq-c/
Source0:        https://github.com/alanxz/rabbitmq-c/archive/refs/tags/v%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  cmake > 2.8
BuildRequires:  openssl-devel
BuildRequires:  popt-devel > 1.14
BuildRequires:  make
BuildRequires:  xmlto

%description
This is a C-language AMQP client library for use with v2.0+ of the RabbitMQ broker.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains development files for using %{name}.

%package        doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{project_name}-%{version} -p1

sed -e '/test_basic/d' -i tests/CMakeLists.txt

%build
%cmake \
  -DBUILD_TOOLS_DOCS:BOOL=ON \
  -DINSTALL_STATIC_LIBS:BOOL=ON \
  -S .

%if 0%{?cmake_build:1}
%cmake_build
%else
make %{_smp_mflags}
%endif

%install
%if 0%{?cmake_install:1}
%cmake_install
%else
make install  DESTDIR="%{buildroot}"
%endif

rm %{buildroot}%{_libdir}/%{name}.a

%generate_compatibility_deps

%check
grep @ %{buildroot}%{_libdir}/pkgconfig/librabbitmq.pc && exit 1

%if 0%{?ctest:1}
%ctest
%else
make test
%endif

%files
%license LICENSE AUTHORS
%{_libdir}/%{name}.so.*
%dir %{abidir}
%{abidir}/%{name}.dump
%{_libdir}/cmake/rabbitmq-c/*

%files devel
%{_libdir}/%{name}.so
%{_includedir}/amqp*
%{includedir_librabbitmq}/*.h
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake/rabbitmq-c

%files doc
%doc AUTHORS THANKS *.md

%changelog
* Sun Mar 26 2023 Feng Su <sufeng@linux.alibaba.com>  - 0.13.0-1
- package init from upstream
